[arch-commits] Commit in python-hypothesis/repos/community-staging-any (2 files)

Felix Yan felixonmars at archlinux.org
Mon Jul 30 01:19:07 UTC 2018


    Date: Monday, July 30, 2018 @ 01:19:07
  Author: felixonmars
Revision: 364902

archrelease: copy trunk to community-staging-any

Added:
  python-hypothesis/repos/community-staging-any/PKGBUILD
    (from rev 364901, python-hypothesis/trunk/PKGBUILD)
Deleted:
  python-hypothesis/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |  158 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 79 insertions(+), 79 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-07-30 01:18:43 UTC (rev 364901)
+++ PKGBUILD	2018-07-30 01:19:07 UTC (rev 364902)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-hypothesis
-pkgname=('python-hypothesis' 'python2-hypothesis')
-pkgver=3.66.11
-pkgrel=1
-pkgdesc="Advanced Quickcheck style testing library for Python"
-arch=('any')
-license=('MPL')
-url="https://hypothesis.readthedocs.org"
-makedepends=('python-setuptools' 'python2-setuptools' 'python-attrs' 'python2-attrs'
-             'python-coverage' 'python2-coverage' 'python2-enum34')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'flake8' 'python2-flake8' 'python-pytz'
-              'python2-pytz' 'python-numpy' 'python2-numpy' 'python-faker' 'python2-faker'
-              'python-flaky' 'python2-flaky' 'python-pytest-benchmark' 'python2-pytest-benchmark'
-              'python-django' 'python2-django' 'python-pytest-xdist' 'python2-pytest-xdist'
-              'python-mock' 'python2-mock' 'python-pandas' 'python2-pandas')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/HypothesisWorks/hypothesis/archive/hypothesis-python-$pkgver.tar.gz")
-sha512sums=('4cd596fcda88ad00472b39a0f6fb8d7687c233910131e02bf80715a7fefb1e769f947613aea2964502335f986943fe2040404988393455f8d98befc1db8cc348')
-
-prepare() {
-  mv hypothesis-hypothesis-python-$pkgver hypothesis-$pkgver
-
-  sed -i "/FutureWarning/a \    filterwarnings('ignore', category=DeprecationWarning, module='pandas.core')" hypothesis-$pkgver/hypothesis-python/tests/common/setup.py
-
-  cp -a hypothesis-$pkgver{,-py2}
-
-  rm -r hypothesis-$pkgver/hypothesis-python/tests/py2
-  rm -r hypothesis-$pkgver-py2/hypothesis-python/tests/py3
-
-  export LC_CTYPE=en_US.UTF-8
-}
-
-build() {
-  cd "$srcdir"/hypothesis-$pkgver/hypothesis-python
-  python setup.py build
-
-  cd "$srcdir"/hypothesis-$pkgver-py2/hypothesis-python
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/hypothesis-$pkgver/hypothesis-python
-  mv tests/django ../
-  python setup.py pytest --addopts -n16
-  mv ../django tests/
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m tests.django.manage test tests.django || warning "Tests failed"
-
-  cd "$srcdir"/hypothesis-$pkgver-py2/hypothesis-python
-  mv tests/django ../
-  python2 setup.py pytest --addopts -n16
-  mv ../django tests/
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m tests.django.manage test tests.django
-}
-
-package_python-hypothesis() {
-  depends=('python-attrs' 'python-coverage')
-  optdepends=('python-pytz: for datetime and django module'
-              'python-faker: for fakefactory and django module'
-              'python-django: for django module'
-              'python-numpy: for numpy module'
-              'python-pytest: for pytest module')
-
-  cd hypothesis-$pkgver/hypothesis-python
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-hypothesis() {
-  depends=('python2-attrs' 'python2-coverage' 'python2-enum34')
-  optdepends=('python2-pytz: for datetime and django module'
-              'python2-faker: for fakefactory and django module'
-              'python2-django: for django module'
-              'python2-numpy: for numpy module'
-              'python2-pytest: for pytest module')
-
-  cd hypothesis-$pkgver-py2/hypothesis-python
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-hypothesis/repos/community-staging-any/PKGBUILD (from rev 364901, python-hypothesis/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-07-30 01:19:07 UTC (rev 364902)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-hypothesis
+pkgname=('python-hypothesis' 'python2-hypothesis')
+pkgver=3.66.12
+pkgrel=1
+pkgdesc="Advanced Quickcheck style testing library for Python"
+arch=('any')
+license=('MPL')
+url="https://hypothesis.readthedocs.org"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-attrs' 'python2-attrs'
+             'python-coverage' 'python2-coverage' 'python2-enum34')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'flake8' 'python2-flake8' 'python-pytz'
+              'python2-pytz' 'python-numpy' 'python2-numpy' 'python-faker' 'python2-faker'
+              'python-flaky' 'python2-flaky' 'python-pytest-benchmark' 'python2-pytest-benchmark'
+              'python-django' 'python2-django' 'python-pytest-xdist' 'python2-pytest-xdist'
+              'python-mock' 'python2-mock' 'python-pandas' 'python2-pandas')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/HypothesisWorks/hypothesis/archive/hypothesis-python-$pkgver.tar.gz")
+sha512sums=('e608bdbe44b7b6518a3f9aef7652e7f2eb1404207232a55737501015490000f16ed400946fef9bb109ffb4e42374e2c6318c99791aed2289af337093937f6308')
+
+prepare() {
+  mv hypothesis-hypothesis-python-$pkgver hypothesis-$pkgver
+
+  sed -i "/FutureWarning/a \    filterwarnings('ignore', category=DeprecationWarning, module='pandas.core')" hypothesis-$pkgver/hypothesis-python/tests/common/setup.py
+
+  cp -a hypothesis-$pkgver{,-py2}
+
+  rm -r hypothesis-$pkgver/hypothesis-python/tests/py2
+  rm -r hypothesis-$pkgver-py2/hypothesis-python/tests/py3
+
+  export LC_CTYPE=en_US.UTF-8
+}
+
+build() {
+  cd "$srcdir"/hypothesis-$pkgver/hypothesis-python
+  python setup.py build
+
+  cd "$srcdir"/hypothesis-$pkgver-py2/hypothesis-python
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/hypothesis-$pkgver/hypothesis-python
+  mv tests/django ../
+  python setup.py pytest --addopts -n16
+  mv ../django tests/
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m tests.django.manage test tests.django || warning "Tests failed"
+
+  cd "$srcdir"/hypothesis-$pkgver-py2/hypothesis-python
+  mv tests/django ../
+  python2 setup.py pytest --addopts -n16
+  mv ../django tests/
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m tests.django.manage test tests.django
+}
+
+package_python-hypothesis() {
+  depends=('python-attrs' 'python-coverage')
+  optdepends=('python-pytz: for datetime and django module'
+              'python-faker: for fakefactory and django module'
+              'python-django: for django module'
+              'python-numpy: for numpy module'
+              'python-pytest: for pytest module')
+
+  cd hypothesis-$pkgver/hypothesis-python
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-hypothesis() {
+  depends=('python2-attrs' 'python2-coverage' 'python2-enum34')
+  optdepends=('python2-pytz: for datetime and django module'
+              'python2-faker: for fakefactory and django module'
+              'python2-django: for django module'
+              'python2-numpy: for numpy module'
+              'python2-pytest: for pytest module')
+
+  cd hypothesis-$pkgver-py2/hypothesis-python
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}



More information about the arch-commits mailing list